format_version: '1.0'

repository_url: https://github.com/cxong/cdogs-sdl

sequence:
  base_version:
    input_file: 'd7501422.zip'
    commit_sha1: d7501422cfac84999630fdea61d2903447e6c529
  fix_attempt:
    - input_file: 'fb664e76.diff'
      commit_sha1: fb664e764be00a835931630b4f1df54e15679843
    - input_file: '067f8cc7.diff'
      commit_sha1: 067f8cc7108053b7be006404442dc249ff4341cc
    - input_file: '06cd769e.diff'
      commit_sha1: 06cd769e7d456adf3ff33eb58996e317e08c21c8
    - input_file: 'e9e7dd4f.diff'
      commit_sha1: e9e7dd4f91ccff16ee2f25e9e1958a6da7b89910
    - input_file: 'c8b3a163.diff'
      commit_sha1: c8b3a1632bb258a5799a19463e6a856272696a70
    - input_file: '2c1fd1a9.diff'
      commit_sha1: 2c1fd1a9df57d591444458de6e02fb92951eada7
    - input_file: 'e248d2ee.diff'
      commit_sha1: e248d2ee9e09b226f2e9416def46046e5aa74e1c
    - input_file: 'cd7678a3.diff'
      commit_sha1: cd7678a330e10cd15f94d1634d7d5e4be2c271d4
    - input_file: '8cd9e589.diff'
      commit_sha1: 8cd9e5895f6ca803ae2651ba2bff6107da3aaa6a
    - input_file: '6d261c1f.diff'
      commit_sha1: 6d261c1f8b4dca50fa30d32d4c74cbe4af4b9323
    - input_file: 'c41f6309.diff'
      commit_sha1: c41f6309c8044430f27fac712f27136d4fbf2d16
    - input_file: 'e36848e5.diff'
      commit_sha1: e36848e549b32d45d2c2f8d788c33fd2326346bc
    - input_file: '53e87214.diff'
      commit_sha1: 53e8721475527894419e83c018d855ee40855daf
    - input_file: 'f2cc9e8e.diff'
      commit_sha1: f2cc9e8e5cfb19663bb437fd26d42d238d4d7656
    
  expected_fix:
    input_file: '65ff2fd6.diff'
    commit_sha1: 65ff2fd682667ae59b82123df66476de842688d2

  
classification: unknown
categories: []

  
metadata:
  language: C
  strategy: reopen
  build_system: ['make']
  related_issue: https://github.com/cxong/cdogs-sdl/issues/147
